[DEPRECATED] Initiate KYB documents process
Header Parameters
The matchmove issued user_id for which the request is being made
The IP using which the actor is making the request
The unique id of the device using which the actor is making the request
The user agent of the device using which the actor is making the request
The actor on behalf of whom the API request is being performed
Path Parameters
Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.
Body Parameters
Fetched from the list of supported KYC/KYB providers of a program. If not provided, it will retrieve whatever is the default KYC/KYB set.
Specifies the verification flow to be initiated. Depending on the user type, the allowed values can be retrieved from the corresponding verification modes API:
| User Type | Verification Modes API |
|---|---|
| Individual | GET /{program_code}/v2/users/authentications/documents/verification_modes |
URL the user is redirected to after completing the verification flow. If not provided, no redirection will happen.
Controls how the redirect to the verification flow is triggered. Use auto to redirect the user automatically, or button to require the user to click a button before being redirected. If not provided, default is auto.
autobuttonLabel displayed on the redirect button when redirect_mode is button. If not provided, the default text will be Close.
Response
OK
Response Attributes
Array of Web SDK links and metadata for initiating the verification flow
Show child attributes
Indicates whether the verification process was successfully initiated
Unique identifier of the user / associated party
Unique identifier of the verification process
Verification mode for the current verification session.
Bad Request
The response code field indicates which specific rule was violated.
Possible error codes:
still_in_progress_verification— The account/KYC status has not yet reached a terminal stateresource_user_inactive— User is currently inactive
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Unauthorized
The response code field indicates the authentication failure.
Possible error codes:
access_denied— Access is denied for this resource
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Forbidden
The response code field indicates why the request was rejected.
Possible error codes:
unauthorized_action— The requested action is not permitted for this scoperesource_user_no_access— User does not have access to this resourcedisallow_updates— Update feature is blocked by the allow_modifications policydisallow_updates_by_field— One or more of the fields being changed are not allowed for the current user/provider status
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Found
The response code field indicates the missing resource.
Possible error codes:
user_not_found— User not foundroute_not_defined— Missing auth definition on the given route
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Unprocessable Entity
Response Attributes
Unique error identifier
HTTP status code
Error code identifier
Error title
Detailed error description
List of field-specific error sources
Show child attributes
Show child attributes
Error timestamp
Internal Server Error
The response code field indicates the failure category.
Possible error codes:
generic_error— General application errorrequest_fatal_internal— Fatal service error
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Implemented
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Bad Gateway
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Service Unavailable
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Gateway Timeout
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API